#include <windows.h>

#include "commproto.h"
#include "protodef.h"

#include "debug.h"

#include "gettoolboxversion.h"

BOOL GetToolboxVersion(HWND hWnd, struct CommDev *lpDevice, LPWORD lpVersion)
{
	BOOL fResult = FALSE;

	struct ToolboxVersionRequest request = { CMD_GET_VERSION };
	struct ToolboxVersionResponse response;

	WORD wResponseSize = sizeof(response);
	if (ProtocolTransaction(lpDevice, &request, sizeof(request), &response, &wResponseSize))
	{
		*lpVersion = response.wVersion;
		TRACE("Toolbox responded with version %i\n", response.wVersion);
		fResult = TRUE;
	}

	return fResult;
}
