#ifndef RESOURCE_H
#define RESOURCE_H

#define IDD_MAINDLG                        101
#define IDR_MAINMENU                       102
#define IDD_CONNECTDLG                     103
#define IDD_TRANSFERDLG                    104
#define IDD_TWEAKSDLG                      105
#define IDD_FILEPICKDLG                    106
#define IDC_STATIC                         -1
#define IDC_DRIVELIST                      1001
#define IDC_TYPE                           1002
#define IDC_TRACKS                         1003
#define IDC_SIDES                          1004
#define IDC_SECTORS                        1005
#define IDC_REFRESH                        1006
#define IDC_WRITEIMAGE                     1007
#define IDC_READIMAGE                      1008
#define IDC_RECVFILE                       1009
#define IDC_SENDFILE                       1010
#define IDC_PORT                           1011
#define IDC_BAUDRATE                       1012
#define IDC_DATABITS                       1013
#define IDC_PARITY                         1014
#define IDC_STOPBITS                       1015
#define IDC_SOURCE                         1016
#define IDC_DESTINATION                    1017
#define IDC_STATUS                         1018
#define IDC_PROGRESS_DUMMY                 1019
#define IDC_DELAY_BEFORE_WRITE             1020
#define IDC_DELAY_AFTER_WRITE              1021
#define IDC_DELAY_BEFORE_READ              1022
#define IDC_DELAY_AFTER_READ               1023
#define IDC_DELAY_BEFORE_READ_AFTER_WRITE  1024
#define IDC_DELAY_BEFORE_WRITE_AFTER_READ  1025
#define IDC_READ_TIMEOUT                   1026
#define IDC_OUTX_CTS_FLOW                  1027
#define IDC_OUTX_DSR_FLOW                  1028
#define IDC_DTR_CONTROL                    1029
#define IDC_RTS_CONTROL                    1030
#define IDC_LOAD_DEFAULTS                  1031
#define IDC_LABEL_A                        1032
#define IDC_LABEL_B                        1033
#define IDC_PATH_A                         1034
#define IDC_PATH_B                         1035
#define IDC_BUTTON_A                       1036
#define IDC_BUTTON_B                       1037
#define ID_FILE_CONNECT                    40001
#define ID_FILE_DISCONNECT                 40002
#define ID_FILE_TWEAKS                     40003
#define ID_FILE_EXIT                       40004
#define ID_TOOLBOX_DOWNLOAD                40005
#define ID_TOOLBOX_VERSION                 40006
#define ID_TOOLBOX_EXITTOLOADER            40007
#define ID_TOOLBOX_EXITTOSYSTEM            40008
#define ID_HELP_ABOUT                      40009

#endif
