#ifndef TRANSFERDLG_H
#define TRANSFERDLG_H

#include <windows.h>

struct TransferDlgData {
	struct BackgroundJob *lpJob;
	LPCSTR lpSource;
	LPCSTR lpDestination;
	HWND hProgressBar;
	DWORD dwBeginOfTransfer;
	LPVOID lpProgressData;
	void(*lpUpdateProgressProc)(HWND hDlg, struct TransferDlgData *lpData);
};

INT_PTR CALLBACK TransferDlgProc(HWND hDlg, UINT uMsg, WPARAM wParam, LPARAM lParam);

#endif
